// IlpilboxDlg.h : header file
//

#if !defined(AFX_ILPILBOXDLG_H__27679816_5018_47B9_9F41_792CC495365F__INCLUDED_)
#define AFX_ILPILBOXDLG_H__27679816_5018_47B9_9F41_792CC495365F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CIlpilboxDlg dialog

class CIlpilboxDlg : public CDialog
{
// Construction
public:
	CIlpilboxDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CIlpilboxDlg)
	enum { IDD = IDD_ILPILBOX_DIALOG };
	CButton	m_CButStop;
	CButton	m_CButStart;
	CComboBox	m_CComboPort;
	CString	m_strAddrOut;
	UINT	m_uPortOut;
	UINT	m_uPortIn;
	BOOL	m_bPilboxIDY;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIlpilboxDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CIlpilboxDlg)
	virtual BOOL OnInitDialog();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnCancel();
	afx_msg void OnStart();
	afx_msg void OnStop();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	LONG    m_nPosX;						// display position
	LONG    m_nPosY;

	DWORD   m_dwConnectTimeout;				// client connect timeout

	BOOL    m_bEnableRFC;					// enable a RFC behind a CMD frame

	CString m_strComPort;
	DWORD   m_dwBaudRate;					// baudrate of Pilbox

	CString ReadString(LPCTSTR lpszSection, LPCTSTR lpszEntry, LPCTSTR lpszDefault);
	UINT    ReadInt(LPCTSTR lpszSection, LPCTSTR lpszEntry, INT nDefault);
	BOOL    WriteString(LPCTSTR lpszSection, LPCTSTR lpszEntry, LPCTSTR lpszValue);
	BOOL    WriteInt(LPCTSTR lpszSection, LPCTSTR lpszEntry, INT nValue);

	VOID SetWindowLocation(INT nPosX, INT nPosY);
	VOID SetCommList(LPCTSTR szComPort);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ILPILBOXDLG_H__27679816_5018_47B9_9F41_792CC495365F__INCLUDED_)
